
package net.mcreator.orangetrees.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.world.World;
import net.minecraft.item.UseAction;
import net.minecraft.item.ItemStack;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.Item;
import net.minecraft.item.Food;
import net.minecraft.entity.LivingEntity;

import net.mcreator.orangetrees.procedures.OrangRollFoodEatenProcedure;
import net.mcreator.orangetrees.OrangeTreesElements;

@OrangeTreesElements.ModElement.Tag
public class OrangRollItem extends OrangeTreesElements.ModElement {
	@ObjectHolder("orangetrees:orangroll")
	public static final Item block = null;
	public OrangRollItem(OrangeTreesElements instance) {
		super(instance, 18);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new FoodItemCustom());
	}
	public static class FoodItemCustom extends Item {
		public FoodItemCustom() {
			super(new Item.Properties().group(ItemGroup.FOOD).maxStackSize(64)
					.food((new Food.Builder()).hunger(10).saturation(0.7999999999999999f).setAlwaysEdible().build()));
			setRegistryName("orangroll");
		}

		@Override
		public UseAction getUseAction(ItemStack par1ItemStack) {
			return UseAction.EAT;
		}

		@Override
		public ItemStack onItemUseFinish(ItemStack itemStack, World world, LivingEntity entity) {
			ItemStack retval = super.onItemUseFinish(itemStack, world, entity);
			int x = (int) entity.posX;
			int y = (int) entity.posY;
			int z = (int) entity.posZ;
			{
				java.util.HashMap<String, Object> $_dependencies = new java.util.HashMap<>();
				$_dependencies.put("entity", entity);
				OrangRollFoodEatenProcedure.executeProcedure($_dependencies);
			}
			return retval;
		}
	}
}
